Package org.eclipse.net4j.util.om.monitor

# Interface OMMonitor.Async

All Known Subinterfaces:
  `OMMonitor.AsyncMonitor`

All Known Implementing Classes:
  `AbstractMonitor.AsyncTimerTask`

Enclosing interface:
  OMMonitor

public static interface OMMonitor.Async

Since:
  2.0
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`exec(OMMonitor monitor, double work, Runnable runnable)`
`static boolean`
`exec(OMMonitor monitor, Runnable runnable)`
Same as calling `exec(monitor, ONE, runnable)`.
`static OMMonitor.AsyncMonitor`
`fork(OMMonitor monitor)`
Same as calling `fork(monitor, ONE)`.
`static OMMonitor.AsyncMonitor`
`fork(OMMonitor monitor, double work)`
`void`
`stop()`

## Method Details

### stop

void stop()

### fork

static OMMonitor.AsyncMonitor fork(OMMonitor monitor, double work)

Since:
  3.21

### fork

static OMMonitor.AsyncMonitor fork(OMMonitor monitor)
Same as calling `fork(monitor, ONE)`.

Since:
  3.21

### exec

static boolean exec(OMMonitor monitor, double work, Runnable runnable)

Since:
  3.21

### exec

static boolean exec(OMMonitor monitor, Runnable runnable)
Same as calling `exec(monitor, ONE, runnable)`.

Since:
  3.21